Bug 111536 - [CI][DRMTIP] igt@gem_eio@unwedge-stress - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0
Summary: [CI][DRMTIP] igt@gem_eio@unwedge-stress - fail - Failed assertion: __gem_exec...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: not set not set
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-02 10:48 UTC by Lakshmi
Modified: 2019-09-07 11:35 UTC (History)
1 user (show)

See Also:
i915 platform: HSW
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-09-02 10:48:36 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5157/shard-hsw4/igt@gem_eio@unwedge-stress.html

Starting subtest: unwedge-stress
(gem_eio:13805) ioctl_wrappers-CRITICAL: Test assertion failure function gem_execbuf, file ../lib/ioctl_wrappers.c:609:
(gem_eio:13805) ioctl_wrappers-CRITICAL: Failed assertion: __gem_execbuf(fd, execbuf) == 0
(gem_eio:13805) ioctl_wrappers-CRITICAL: error: -5 != 0
Subtest unwedge-stress failed.
Comment 1 CI Bug Log 2019-09-02 10:49:07 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* HSW: igt@gem_eio@unwedge-stress - fail - Failed assertion: __gem_execbuf(fd, execbuf) == 0 
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3392/shard-hsw1/igt@gem_eio@unwedge-stress.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5157/shard-hsw4/igt@gem_eio@unwedge-stress.html
Comment 2 Chris Wilson 2019-09-03 12:58:02 UTC
Spotted a problem that may be affecting snb & hsw,

commit 90babd3f12707dfabaa58bb18f6b8e22636b6895 (upstream/master)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Aug 31 20:14:21 2019 +0100

    lib: Fix gem_measure_ring_inflight
    
    Any use of __for_each_physical_engine breaks library use of
    for_each_physical_ring and in this case (e.g. gem_busy/close-race) leads
    to GPU hangs.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Andi Shyti <andi.shyti@intel.com>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Acked-by: Andi Shyti <andi.shyti@intel.com>

This and the reset-stress on snb/hsw might be affected.
Comment 3 Chris Wilson 2019-09-07 11:35:20 UTC
This should be one problem solved at least, so lets claim it was this one!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.